org.kohsuke.stapler

## Class TestAptMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.kohsuke.stapler.AbstractCompilerMojo
    - - org.kohsuke.stapler.TestCompilerMojo
      - - org.kohsuke.stapler.TestAptMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public class TestAptMojo
    extends TestCompilerMojo

Author:
  Kohsuke Kawaguchi

### Field Summary

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`TestAptMojo()`

### Method Summary

Methods
`void` `execute()`

### Methods inherited from class org.kohsuke.stapler.TestCompilerMojo

`getClasspathElements, getCompileSourceRoots, getOutputDirectory, getSourceInclusionScanner, getSourceInclusionScanner`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestAptMojo

    public TestAptMojo()

### Method Detail

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException,
                        org.apache.maven.plugin.CompilationFailureException

Specified by:
  `execute` in interface `org.apache.maven.plugin.Mojo`
Overrides:
  `execute` in class `TestCompilerMojo`
Throws:
  `org.apache.maven.plugin.MojoExecutionException`
  `org.apache.maven.plugin.CompilationFailureException`